/*
 * Class WEL_LANGUAGE_IDENTIFIERS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_47 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_47 [] = {0xFF01,1551,46,0xFFFF};
static const EIF_TYPE_INDEX egt_2_47 [] = {0xFF01,46,0xFFFF};
static const EIF_TYPE_INDEX egt_3_47 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_47 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_47 [] = {0xFF01,46,0xFFFF};
static const EIF_TYPE_INDEX egt_6_47 [] = {0xFF01,46,0xFFFF};
static const EIF_TYPE_INDEX egt_7_47 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_47 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_47 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_47 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_47 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_47 [] = {0xFF01,46,0xFFFF};
static const EIF_TYPE_INDEX egt_13_47 [] = {0xFF01,1664,0xFF01,924,869,0xFFFF};


static const struct desc_info desc_47[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_47), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_47), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_47), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_47), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_47), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_47), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_47), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_47), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_47), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_47), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_47), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_47), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x5D /*46*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_47), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_47), 702, 0xFFFFFFFF},
};
void Init47(void)
{
	IDSC(desc_47, 0, 46);
	IDSC(desc_47 + 1, 1, 46);
	IDSC(desc_47 + 32, 1256, 46);
}


#ifdef __cplusplus
}
#endif
